{% if all == null %}
<div class="item-list">
    exception
</div>
{% else %}
{% for application in all %}
        <div class="item-list">
    <div class="cornerRibbons topAds">
        <a href="#">
            {% if application.state == 1 %}
                Nouveau
            {% elseif application.state == 2 %}
                Occasion
            {% endif %}
        </a>
    </div>
    <div class="col-sm-2 no-padding photobox">
        <div class="add-image">
            {% if application.photos is empty %}
            <img class="thumbnail  img-responsive" src="{{ asset('backassets/images/avatars/no-image.jpg') }}" alt="img">
            {% else %}
                <span class="photo-count"><i class="fa fa-camera"></i> {{ application.photos | length }} </span>
                {% for photo in application.photos %}
                    {% if loop.first %}
                        {% set couv= photo %}
                        {% if application.type == 3 %}
                 <a href="{{ path('show_searched_spare', {'id': application.id, 'slug' :application.title|slugify }) }}">
                     <img class="thumbnail no-margin" src="{{ asset('uploads/applications/'~couv.name) }}" alt="{{ application.title }}">
                 </a>
                            {% elseif application.type ==  1  %}
                                <a href="{{ path('show_searched_application', {'id': application.id , 'slug' :application.title|slugify }) }}">
                                    <img class="thumbnail no-margin" src="{{ asset('uploads/applications/'~couv.name) }}" alt="{{ application.title }}">
                                </a>
                    {% elseif application.type == 2 %}
                        <a href="{{ path('show_searched_application', {'id': application.id, 'slug' :application.title |slugify}) }}">
                            <img class="thumbnail no-margin" src="{{ asset('uploads/applications/'~couv.name) }}" alt="{{ application.title }}">
                        </a>
                    {% endif %}

                    {% endif %}
                {% endfor %}
            {% endif %}
        </div>
    </div>

    <div class="col-sm-7 add-desc-box">
        <div class="add-details">
            <h5 class="add-title">
                {% if application.type == 1 %}
                    <a href="{{ path('show_searched_application', {'id': application.id, 'slug' :application.title|slugify}) }}"> {{ application.title }} </a>
                {% elseif application.type == 2 %}
                    <a href="{{ path('show_searched_application', {'id': application.id, 'slug' :application.title|slugify}) }}"> {{ application.title }} </a>
                {% elseif application.type == 3 %}
                    <a href="{{ path('show_searched_spare', {'id': application.id, 'slug' :application.title|slugify }) }}"> {{ application.title }} </a>
                {% endif %}
                 </h5>
            <span class="info-row">
                {% if application.user != null  %}
                    {% for role in application.user.roles %}
                        {% if role == "ROLE_PARTICULIER" %}
                        <span class="add-type business-ads tooltipHere" data-toggle="tooltip" data-placement="right" title="" data-original-title="Particulier">
                          P
                        </span>
                        {% elseif role == "ROLE_PRO"%}
                            <span class="add-type business-ads tooltipHere" data-toggle="tooltip" data-placement="right" title="" data-original-title="Professionnel">
                          Pro
                        </span>
                        {% endif %}
                    {% endfor %}
                {% endif %}

                <span class="date"><i class=" icon-clock"> </i> {{ application.createdAt | date('d/M/Y') }} </span> -
                <span class="category">
                 {% if application.type == 1 %}
                       Moto
                 {% elseif application.type == 2  %}
                      Voiture
                 {% elseif application.type == 3  %}
                     Pièces de rechange
                 {% endif %}
                 </span>-
                <span class="item-location"><i class="fa fa-map-marker"></i>
                    {% if application.user != null  %}
                        {% if application.user.address != null %}
                    {{ application.user.address.city }}
                            {% endif %}
                    {% endif %}
                        </span> </span> </div>
    </div>

    <div class="col-sm-3 text-right  price-box">
        <h2 class="item-price"> {{ application.price | format }} DT</h2>
        <!--
        <a class="btn btn-danger  btn-sm make-favorite"> <i class="fa fa-certificate"></i> <span>Top Ads</span> </a> <a class="btn btn-default  btn-sm make-favorite"> <i class="fa fa-heart"></i> <span>Save</span> </a>
        -->
        </div>

</div>

{% endfor %}
{% endif %}


